Authorization: Bearer ********************curl --location 'https://numueg.app/api/v1/stores//invoices/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"buyer": {
"buyer_type": "B",
"name": "Acme Corp",
"tax_id": "987654321"
},
"invoice_type": "I",
"line_items": [
{
"description": "Egyptian Cotton T-Shirt",
"item_code": "EG-001",
"quantity": "2",
"unit_price": "100.00",
"vat_rate": "14.00"
}
],
"seller": {
"activity_code": "4649",
"name": "Nile Fashion LLC",
"tax_id": "123456789"
},
"shipping_fee": 5000
}'{
"success": true,
"data": {
"created_at": "2025-01-20T09:00:00Z",
"currency": "EGP",
"extra_discount": 0,
"grand_total": 15000,
"id": "bb0e8400-e29b-41d4-a716-446655440000",
"invoice_number": "INV-2025-0001",
"invoice_type": "I",
"net_amount_before_vat": 8772,
"prices_include_vat": true,
"shipping_fee": 5000,
"status": "submitted",
"store_id": "660e8400-e29b-41d4-a716-446655440000",
"subtotal": 10000,
"total": 15000,
"total_discount": 0,
"total_formatted": "150.00 EGP",
"updated_at": "2025-01-20T09:00:00Z",
"vat_amount": 1228,
"vat_rate": "14.00"
},
"message": "string"
}